<template>
  <div class="navbar">
    <div class="navbar__logo" @click="$router.push('/')">
      <img alt="Vue logo" src="../assets/logo.png">
      Vue 3
    </div>
    <div class="navbar__btns">
      <my-button @click="$router.push('/')" class="navbar__btns__btn">Главная</my-button>
      <my-button @click="$router.push('/category')" class="navbar__btns__btn">Категории</my-button>
    </div>
  </div>
</template>

<script>
export default {

}
</script>

<style scoped>
.navbar {
  height: 50px;
  background-color: lightgray;
  box-shadow: 2px 2px 4px gray;
  display: flex;
  align-items: center;
  padding: 0 15px;
}
.navbar__logo {
  cursor: pointer;
  display: flex;
  align-items: center;
}
.navbar__logo img {
  width: 10%;
}
.navbar__btns {
  margin-left: auto;
}
.navbar__btns__btn {
  margin-left: 20px;
  cursor: pointer;
}
</style>